Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.167.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
232.167.64.0
Broadcast address
232.167.127.255
First usable
232.167.64.1
Last usable
232.167.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8A74000 · Integer 3903275008 to 3903291391
Reverse DNS zones
64.167.232.in-addr.arpa
65.167.232.in-addr.arpa
66.167.232.in-addr.arpa
67.167.232.in-addr.arpa
68.167.232.in-addr.arpa
69.167.232.in-addr.arpa
70.167.232.in-addr.arpa
71.167.232.in-addr.arpa
72.167.232.in-addr.arpa
73.167.232.in-addr.arpa
74.167.232.in-addr.arpa
75.167.232.in-addr.arpa
76.167.232.in-addr.arpa
77.167.232.in-addr.arpa
78.167.232.in-addr.arpa
79.167.232.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.10100111.01000000.00000000232.167.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11101000.10100111.01000000.00000000232.167.64.0
Broadcast11101000.10100111.01111111.11111111232.167.127.255
Split into smaller subnets/30

232.167.64.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.167.64.0/30232.167.64.1 to 232.167.64.2232.167.64.32
2232.167.64.4/30232.167.64.5 to 232.167.64.6232.167.64.72
3232.167.64.8/30232.167.64.9 to 232.167.64.10232.167.64.112
4232.167.64.12/30232.167.64.13 to 232.167.64.14232.167.64.152
5232.167.64.16/30232.167.64.17 to 232.167.64.18232.167.64.192
6232.167.64.20/30232.167.64.21 to 232.167.64.22232.167.64.232
7232.167.64.24/30232.167.64.25 to 232.167.64.26232.167.64.272
8232.167.64.28/30232.167.64.29 to 232.167.64.30232.167.64.312
9232.167.64.32/30232.167.64.33 to 232.167.64.34232.167.64.352
10232.167.64.36/30232.167.64.37 to 232.167.64.38232.167.64.392
11232.167.64.40/30232.167.64.41 to 232.167.64.42232.167.64.432
12232.167.64.44/30232.167.64.45 to 232.167.64.46232.167.64.472
13232.167.64.48/30232.167.64.49 to 232.167.64.50232.167.64.512
14232.167.64.52/30232.167.64.53 to 232.167.64.54232.167.64.552
15232.167.64.56/30232.167.64.57 to 232.167.64.58232.167.64.592
16232.167.64.60/30232.167.64.61 to 232.167.64.62232.167.64.632
17232.167.64.64/30232.167.64.65 to 232.167.64.66232.167.64.672
18232.167.64.68/30232.167.64.69 to 232.167.64.70232.167.64.712
19232.167.64.72/30232.167.64.73 to 232.167.64.74232.167.64.752
20232.167.64.76/30232.167.64.77 to 232.167.64.78232.167.64.792
21232.167.64.80/30232.167.64.81 to 232.167.64.82232.167.64.832
22232.167.64.84/30232.167.64.85 to 232.167.64.86232.167.64.872
23232.167.64.88/30232.167.64.89 to 232.167.64.90232.167.64.912
24232.167.64.92/30232.167.64.93 to 232.167.64.94232.167.64.952
25232.167.64.96/30232.167.64.97 to 232.167.64.98232.167.64.992
26232.167.64.100/30232.167.64.101 to 232.167.64.102232.167.64.1032
27232.167.64.104/30232.167.64.105 to 232.167.64.106232.167.64.1072
28232.167.64.108/30232.167.64.109 to 232.167.64.110232.167.64.1112
29232.167.64.112/30232.167.64.113 to 232.167.64.114232.167.64.1152
30232.167.64.116/30232.167.64.117 to 232.167.64.118232.167.64.1192
31232.167.64.120/30232.167.64.121 to 232.167.64.122232.167.64.1232
32232.167.64.124/30232.167.64.125 to 232.167.64.126232.167.64.1272
33232.167.64.128/30232.167.64.129 to 232.167.64.130232.167.64.1312
34232.167.64.132/30232.167.64.133 to 232.167.64.134232.167.64.1352
35232.167.64.136/30232.167.64.137 to 232.167.64.138232.167.64.1392
36232.167.64.140/30232.167.64.141 to 232.167.64.142232.167.64.1432
37232.167.64.144/30232.167.64.145 to 232.167.64.146232.167.64.1472
38232.167.64.148/30232.167.64.149 to 232.167.64.150232.167.64.1512
39232.167.64.152/30232.167.64.153 to 232.167.64.154232.167.64.1552
40232.167.64.156/30232.167.64.157 to 232.167.64.158232.167.64.1592
41232.167.64.160/30232.167.64.161 to 232.167.64.162232.167.64.1632
42232.167.64.164/30232.167.64.165 to 232.167.64.166232.167.64.1672
43232.167.64.168/30232.167.64.169 to 232.167.64.170232.167.64.1712
44232.167.64.172/30232.167.64.173 to 232.167.64.174232.167.64.1752
45232.167.64.176/30232.167.64.177 to 232.167.64.178232.167.64.1792
46232.167.64.180/30232.167.64.181 to 232.167.64.182232.167.64.1832
47232.167.64.184/30232.167.64.185 to 232.167.64.186232.167.64.1872
48232.167.64.188/30232.167.64.189 to 232.167.64.190232.167.64.1912
49232.167.64.192/30232.167.64.193 to 232.167.64.194232.167.64.1952
50232.167.64.196/30232.167.64.197 to 232.167.64.198232.167.64.1992
51232.167.64.200/30232.167.64.201 to 232.167.64.202232.167.64.2032
52232.167.64.204/30232.167.64.205 to 232.167.64.206232.167.64.2072
53232.167.64.208/30232.167.64.209 to 232.167.64.210232.167.64.2112
54232.167.64.212/30232.167.64.213 to 232.167.64.214232.167.64.2152
55232.167.64.216/30232.167.64.217 to 232.167.64.218232.167.64.2192
56232.167.64.220/30232.167.64.221 to 232.167.64.222232.167.64.2232
57232.167.64.224/30232.167.64.225 to 232.167.64.226232.167.64.2272
58232.167.64.228/30232.167.64.229 to 232.167.64.230232.167.64.2312
59232.167.64.232/30232.167.64.233 to 232.167.64.234232.167.64.2352
60232.167.64.236/30232.167.64.237 to 232.167.64.238232.167.64.2392
61232.167.64.240/30232.167.64.241 to 232.167.64.242232.167.64.2432
62232.167.64.244/30232.167.64.245 to 232.167.64.246232.167.64.2472
63232.167.64.248/30232.167.64.249 to 232.167.64.250232.167.64.2512
64232.167.64.252/30232.167.64.253 to 232.167.64.254232.167.64.2552
65232.167.65.0/30232.167.65.1 to 232.167.65.2232.167.65.32
66232.167.65.4/30232.167.65.5 to 232.167.65.6232.167.65.72
67232.167.65.8/30232.167.65.9 to 232.167.65.10232.167.65.112
68232.167.65.12/30232.167.65.13 to 232.167.65.14232.167.65.152
69232.167.65.16/30232.167.65.17 to 232.167.65.18232.167.65.192
70232.167.65.20/30232.167.65.21 to 232.167.65.22232.167.65.232
71232.167.65.24/30232.167.65.25 to 232.167.65.26232.167.65.272
72232.167.65.28/30232.167.65.29 to 232.167.65.30232.167.65.312
73232.167.65.32/30232.167.65.33 to 232.167.65.34232.167.65.352
74232.167.65.36/30232.167.65.37 to 232.167.65.38232.167.65.392
75232.167.65.40/30232.167.65.41 to 232.167.65.42232.167.65.432
76232.167.65.44/30232.167.65.45 to 232.167.65.46232.167.65.472
77232.167.65.48/30232.167.65.49 to 232.167.65.50232.167.65.512
78232.167.65.52/30232.167.65.53 to 232.167.65.54232.167.65.552
79232.167.65.56/30232.167.65.57 to 232.167.65.58232.167.65.592
80232.167.65.60/30232.167.65.61 to 232.167.65.62232.167.65.632
81232.167.65.64/30232.167.65.65 to 232.167.65.66232.167.65.672
82232.167.65.68/30232.167.65.69 to 232.167.65.70232.167.65.712
83232.167.65.72/30232.167.65.73 to 232.167.65.74232.167.65.752
84232.167.65.76/30232.167.65.77 to 232.167.65.78232.167.65.792
85232.167.65.80/30232.167.65.81 to 232.167.65.82232.167.65.832
86232.167.65.84/30232.167.65.85 to 232.167.65.86232.167.65.872
87232.167.65.88/30232.167.65.89 to 232.167.65.90232.167.65.912
88232.167.65.92/30232.167.65.93 to 232.167.65.94232.167.65.952
89232.167.65.96/30232.167.65.97 to 232.167.65.98232.167.65.992
90232.167.65.100/30232.167.65.101 to 232.167.65.102232.167.65.1032
91232.167.65.104/30232.167.65.105 to 232.167.65.106232.167.65.1072
92232.167.65.108/30232.167.65.109 to 232.167.65.110232.167.65.1112
93232.167.65.112/30232.167.65.113 to 232.167.65.114232.167.65.1152
94232.167.65.116/30232.167.65.117 to 232.167.65.118232.167.65.1192
95232.167.65.120/30232.167.65.121 to 232.167.65.122232.167.65.1232
96232.167.65.124/30232.167.65.125 to 232.167.65.126232.167.65.1272
97232.167.65.128/30232.167.65.129 to 232.167.65.130232.167.65.1312
98232.167.65.132/30232.167.65.133 to 232.167.65.134232.167.65.1352
99232.167.65.136/30232.167.65.137 to 232.167.65.138232.167.65.1392
100232.167.65.140/30232.167.65.141 to 232.167.65.142232.167.65.1432
101232.167.65.144/30232.167.65.145 to 232.167.65.146232.167.65.1472
102232.167.65.148/30232.167.65.149 to 232.167.65.150232.167.65.1512
103232.167.65.152/30232.167.65.153 to 232.167.65.154232.167.65.1552
104232.167.65.156/30232.167.65.157 to 232.167.65.158232.167.65.1592
105232.167.65.160/30232.167.65.161 to 232.167.65.162232.167.65.1632
106232.167.65.164/30232.167.65.165 to 232.167.65.166232.167.65.1672
107232.167.65.168/30232.167.65.169 to 232.167.65.170232.167.65.1712
108232.167.65.172/30232.167.65.173 to 232.167.65.174232.167.65.1752
109232.167.65.176/30232.167.65.177 to 232.167.65.178232.167.65.1792
110232.167.65.180/30232.167.65.181 to 232.167.65.182232.167.65.1832
111232.167.65.184/30232.167.65.185 to 232.167.65.186232.167.65.1872
112232.167.65.188/30232.167.65.189 to 232.167.65.190232.167.65.1912
113232.167.65.192/30232.167.65.193 to 232.167.65.194232.167.65.1952
114232.167.65.196/30232.167.65.197 to 232.167.65.198232.167.65.1992
115232.167.65.200/30232.167.65.201 to 232.167.65.202232.167.65.2032
116232.167.65.204/30232.167.65.205 to 232.167.65.206232.167.65.2072
117232.167.65.208/30232.167.65.209 to 232.167.65.210232.167.65.2112
118232.167.65.212/30232.167.65.213 to 232.167.65.214232.167.65.2152
119232.167.65.216/30232.167.65.217 to 232.167.65.218232.167.65.2192
120232.167.65.220/30232.167.65.221 to 232.167.65.222232.167.65.2232
121232.167.65.224/30232.167.65.225 to 232.167.65.226232.167.65.2272
122232.167.65.228/30232.167.65.229 to 232.167.65.230232.167.65.2312
123232.167.65.232/30232.167.65.233 to 232.167.65.234232.167.65.2352
124232.167.65.236/30232.167.65.237 to 232.167.65.238232.167.65.2392
125232.167.65.240/30232.167.65.241 to 232.167.65.242232.167.65.2432
126232.167.65.244/30232.167.65.245 to 232.167.65.246232.167.65.2472
127232.167.65.248/30232.167.65.249 to 232.167.65.250232.167.65.2512
128232.167.65.252/30232.167.65.253 to 232.167.65.254232.167.65.2552
129232.167.66.0/30232.167.66.1 to 232.167.66.2232.167.66.32
130232.167.66.4/30232.167.66.5 to 232.167.66.6232.167.66.72
131232.167.66.8/30232.167.66.9 to 232.167.66.10232.167.66.112
132232.167.66.12/30232.167.66.13 to 232.167.66.14232.167.66.152
133232.167.66.16/30232.167.66.17 to 232.167.66.18232.167.66.192
134232.167.66.20/30232.167.66.21 to 232.167.66.22232.167.66.232
135232.167.66.24/30232.167.66.25 to 232.167.66.26232.167.66.272
136232.167.66.28/30232.167.66.29 to 232.167.66.30232.167.66.312
137232.167.66.32/30232.167.66.33 to 232.167.66.34232.167.66.352
138232.167.66.36/30232.167.66.37 to 232.167.66.38232.167.66.392
139232.167.66.40/30232.167.66.41 to 232.167.66.42232.167.66.432
140232.167.66.44/30232.167.66.45 to 232.167.66.46232.167.66.472
141232.167.66.48/30232.167.66.49 to 232.167.66.50232.167.66.512
142232.167.66.52/30232.167.66.53 to 232.167.66.54232.167.66.552
143232.167.66.56/30232.167.66.57 to 232.167.66.58232.167.66.592
144232.167.66.60/30232.167.66.61 to 232.167.66.62232.167.66.632
145232.167.66.64/30232.167.66.65 to 232.167.66.66232.167.66.672
146232.167.66.68/30232.167.66.69 to 232.167.66.70232.167.66.712
147232.167.66.72/30232.167.66.73 to 232.167.66.74232.167.66.752
148232.167.66.76/30232.167.66.77 to 232.167.66.78232.167.66.792
149232.167.66.80/30232.167.66.81 to 232.167.66.82232.167.66.832
150232.167.66.84/30232.167.66.85 to 232.167.66.86232.167.66.872
151232.167.66.88/30232.167.66.89 to 232.167.66.90232.167.66.912
152232.167.66.92/30232.167.66.93 to 232.167.66.94232.167.66.952
153232.167.66.96/30232.167.66.97 to 232.167.66.98232.167.66.992
154232.167.66.100/30232.167.66.101 to 232.167.66.102232.167.66.1032
155232.167.66.104/30232.167.66.105 to 232.167.66.106232.167.66.1072
156232.167.66.108/30232.167.66.109 to 232.167.66.110232.167.66.1112
157232.167.66.112/30232.167.66.113 to 232.167.66.114232.167.66.1152
158232.167.66.116/30232.167.66.117 to 232.167.66.118232.167.66.1192
159232.167.66.120/30232.167.66.121 to 232.167.66.122232.167.66.1232
160232.167.66.124/30232.167.66.125 to 232.167.66.126232.167.66.1272
161232.167.66.128/30232.167.66.129 to 232.167.66.130232.167.66.1312
162232.167.66.132/30232.167.66.133 to 232.167.66.134232.167.66.1352
163232.167.66.136/30232.167.66.137 to 232.167.66.138232.167.66.1392
164232.167.66.140/30232.167.66.141 to 232.167.66.142232.167.66.1432
165232.167.66.144/30232.167.66.145 to 232.167.66.146232.167.66.1472
166232.167.66.148/30232.167.66.149 to 232.167.66.150232.167.66.1512
167232.167.66.152/30232.167.66.153 to 232.167.66.154232.167.66.1552
168232.167.66.156/30232.167.66.157 to 232.167.66.158232.167.66.1592
169232.167.66.160/30232.167.66.161 to 232.167.66.162232.167.66.1632
170232.167.66.164/30232.167.66.165 to 232.167.66.166232.167.66.1672
171232.167.66.168/30232.167.66.169 to 232.167.66.170232.167.66.1712
172232.167.66.172/30232.167.66.173 to 232.167.66.174232.167.66.1752
173232.167.66.176/30232.167.66.177 to 232.167.66.178232.167.66.1792
174232.167.66.180/30232.167.66.181 to 232.167.66.182232.167.66.1832
175232.167.66.184/30232.167.66.185 to 232.167.66.186232.167.66.1872
176232.167.66.188/30232.167.66.189 to 232.167.66.190232.167.66.1912
177232.167.66.192/30232.167.66.193 to 232.167.66.194232.167.66.1952
178232.167.66.196/30232.167.66.197 to 232.167.66.198232.167.66.1992
179232.167.66.200/30232.167.66.201 to 232.167.66.202232.167.66.2032
180232.167.66.204/30232.167.66.205 to 232.167.66.206232.167.66.2072
181232.167.66.208/30232.167.66.209 to 232.167.66.210232.167.66.2112
182232.167.66.212/30232.167.66.213 to 232.167.66.214232.167.66.2152
183232.167.66.216/30232.167.66.217 to 232.167.66.218232.167.66.2192
184232.167.66.220/30232.167.66.221 to 232.167.66.222232.167.66.2232
185232.167.66.224/30232.167.66.225 to 232.167.66.226232.167.66.2272
186232.167.66.228/30232.167.66.229 to 232.167.66.230232.167.66.2312
187232.167.66.232/30232.167.66.233 to 232.167.66.234232.167.66.2352
188232.167.66.236/30232.167.66.237 to 232.167.66.238232.167.66.2392
189232.167.66.240/30232.167.66.241 to 232.167.66.242232.167.66.2432
190232.167.66.244/30232.167.66.245 to 232.167.66.246232.167.66.2472
191232.167.66.248/30232.167.66.249 to 232.167.66.250232.167.66.2512
192232.167.66.252/30232.167.66.253 to 232.167.66.254232.167.66.2552
193232.167.67.0/30232.167.67.1 to 232.167.67.2232.167.67.32
194232.167.67.4/30232.167.67.5 to 232.167.67.6232.167.67.72
195232.167.67.8/30232.167.67.9 to 232.167.67.10232.167.67.112
196232.167.67.12/30232.167.67.13 to 232.167.67.14232.167.67.152
197232.167.67.16/30232.167.67.17 to 232.167.67.18232.167.67.192
198232.167.67.20/30232.167.67.21 to 232.167.67.22232.167.67.232
199232.167.67.24/30232.167.67.25 to 232.167.67.26232.167.67.272
200232.167.67.28/30232.167.67.29 to 232.167.67.30232.167.67.312
201232.167.67.32/30232.167.67.33 to 232.167.67.34232.167.67.352
202232.167.67.36/30232.167.67.37 to 232.167.67.38232.167.67.392
203232.167.67.40/30232.167.67.41 to 232.167.67.42232.167.67.432
204232.167.67.44/30232.167.67.45 to 232.167.67.46232.167.67.472
205232.167.67.48/30232.167.67.49 to 232.167.67.50232.167.67.512
206232.167.67.52/30232.167.67.53 to 232.167.67.54232.167.67.552
207232.167.67.56/30232.167.67.57 to 232.167.67.58232.167.67.592
208232.167.67.60/30232.167.67.61 to 232.167.67.62232.167.67.632
209232.167.67.64/30232.167.67.65 to 232.167.67.66232.167.67.672
210232.167.67.68/30232.167.67.69 to 232.167.67.70232.167.67.712
211232.167.67.72/30232.167.67.73 to 232.167.67.74232.167.67.752
212232.167.67.76/30232.167.67.77 to 232.167.67.78232.167.67.792
213232.167.67.80/30232.167.67.81 to 232.167.67.82232.167.67.832
214232.167.67.84/30232.167.67.85 to 232.167.67.86232.167.67.872
215232.167.67.88/30232.167.67.89 to 232.167.67.90232.167.67.912
216232.167.67.92/30232.167.67.93 to 232.167.67.94232.167.67.952
217232.167.67.96/30232.167.67.97 to 232.167.67.98232.167.67.992
218232.167.67.100/30232.167.67.101 to 232.167.67.102232.167.67.1032
219232.167.67.104/30232.167.67.105 to 232.167.67.106232.167.67.1072
220232.167.67.108/30232.167.67.109 to 232.167.67.110232.167.67.1112
221232.167.67.112/30232.167.67.113 to 232.167.67.114232.167.67.1152
222232.167.67.116/30232.167.67.117 to 232.167.67.118232.167.67.1192
223232.167.67.120/30232.167.67.121 to 232.167.67.122232.167.67.1232
224232.167.67.124/30232.167.67.125 to 232.167.67.126232.167.67.1272
225232.167.67.128/30232.167.67.129 to 232.167.67.130232.167.67.1312
226232.167.67.132/30232.167.67.133 to 232.167.67.134232.167.67.1352
227232.167.67.136/30232.167.67.137 to 232.167.67.138232.167.67.1392
228232.167.67.140/30232.167.67.141 to 232.167.67.142232.167.67.1432
229232.167.67.144/30232.167.67.145 to 232.167.67.146232.167.67.1472
230232.167.67.148/30232.167.67.149 to 232.167.67.150232.167.67.1512
231232.167.67.152/30232.167.67.153 to 232.167.67.154232.167.67.1552
232232.167.67.156/30232.167.67.157 to 232.167.67.158232.167.67.1592
233232.167.67.160/30232.167.67.161 to 232.167.67.162232.167.67.1632
234232.167.67.164/30232.167.67.165 to 232.167.67.166232.167.67.1672
235232.167.67.168/30232.167.67.169 to 232.167.67.170232.167.67.1712
236232.167.67.172/30232.167.67.173 to 232.167.67.174232.167.67.1752
237232.167.67.176/30232.167.67.177 to 232.167.67.178232.167.67.1792
238232.167.67.180/30232.167.67.181 to 232.167.67.182232.167.67.1832
239232.167.67.184/30232.167.67.185 to 232.167.67.186232.167.67.1872
240232.167.67.188/30232.167.67.189 to 232.167.67.190232.167.67.1912
241232.167.67.192/30232.167.67.193 to 232.167.67.194232.167.67.1952
242232.167.67.196/30232.167.67.197 to 232.167.67.198232.167.67.1992
243232.167.67.200/30232.167.67.201 to 232.167.67.202232.167.67.2032
244232.167.67.204/30232.167.67.205 to 232.167.67.206232.167.67.2072
245232.167.67.208/30232.167.67.209 to 232.167.67.210232.167.67.2112
246232.167.67.212/30232.167.67.213 to 232.167.67.214232.167.67.2152
247232.167.67.216/30232.167.67.217 to 232.167.67.218232.167.67.2192
248232.167.67.220/30232.167.67.221 to 232.167.67.222232.167.67.2232
249232.167.67.224/30232.167.67.225 to 232.167.67.226232.167.67.2272
250232.167.67.228/30232.167.67.229 to 232.167.67.230232.167.67.2312
251232.167.67.232/30232.167.67.233 to 232.167.67.234232.167.67.2352
252232.167.67.236/30232.167.67.237 to 232.167.67.238232.167.67.2392
253232.167.67.240/30232.167.67.241 to 232.167.67.242232.167.67.2432
254232.167.67.244/30232.167.67.245 to 232.167.67.246232.167.67.2472
255232.167.67.248/30232.167.67.249 to 232.167.67.250232.167.67.2512
256232.167.67.252/30232.167.67.253 to 232.167.67.254232.167.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses